Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoProfileArea Class Reference
Profile

## Description

Represents a profile area tool.

Inheritance diagram for GoProfileArea:

## Public Member Functions
GoProfileAreaArea | GoProfileArea_AreaMeasurement (GoProfileArea tool)
| Returns a GoProfileArea Area measurement object. More...
GoProfileBaseline | GoProfileArea_Baseline (GoProfileArea tool)
| Gets the profile area baseline. More...
kBool | GoProfileArea_BaselineUsed (GoProfileArea tool)
| Returns a boolean representing whether the profile area baseline is used. More...
GoProfileAreaCentroidX | GoProfileArea_CentroidXMeasurement (GoProfileArea tool)
| Returns a GoProfileArea Centroid X measurement object. More...
GoProfileAreaCentroidZ | GoProfileArea_CentroidZMeasurement (GoProfileArea tool)
| Returns a GoProfileArea Centroid Z measurement object. More...
GoProfileLineRegion | GoProfileArea_LineRegion (GoProfileArea tool)
| Gets the reference profile line. More...
GoProfileRegion | GoProfileArea_Region (GoProfileArea tool)
| Gets the profile region. More...
kStatus | GoProfileArea_SetBaseline (GoProfileArea tool, GoProfileBaseline type)
| Sets the profile area type. More...
kStatus | GoProfileArea_SetType (GoProfileArea tool, GoProfileAreaType type)
| Sets the profile area type. More...
GoProfileAreaType | GoProfileArea_Type (GoProfileArea tool)
| Gets the profile area type. More...
kBool | GoProfileArea_TypeUsed (GoProfileArea tool)
| Gets the boolean representing whether the area type is used. More...
kStatus | GoProfileTool_SetSource (GoProfileTool tool, GoDataSource source)
| Sets the data source. More...
kStatus | GoProfileTool_SetXAnchor (GoProfileTool tool, k32s id)
| Sets the X-anchoring source. More...
kStatus | GoProfileTool_SetZAnchor (GoProfileTool tool, k32s id)
| Sets the Z-anchoring source. More...
GoDataSource | GoProfileTool_Source (GoProfileTool tool)
| Gets the data source. More...
GoDataSource | GoProfileTool_SourceOptionAt (GoProfileTool tool, kSize index)
| Gets the data source option at the given index. More...
kSize | GoProfileTool_SourceOptionCount (GoProfileTool tool)
| Gets the data source option list count. More...
k32s | GoProfileTool_XAnchor (GoProfileTool tool)
| Gets the current X-anchoring source. More...
kBool | GoProfileTool_XAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring. More...
k32u | GoProfileTool_XAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the X-anchoring option at the given index. More...
kSize | GoProfileTool_XAnchorOptionCount (GoProfileTool tool)
| Gets the X-anchoring option list count. More...
k32s | GoProfileTool_ZAnchor (GoProfileTool tool)
| Gets the current Z-anchoring source. More...
kBool | GoProfileTool_ZAnchorEnabled (GoProfileTool tool)
| Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring. More...
k32u | GoProfileTool_ZAnchorOptionAt (GoProfileTool tool, kSize index)
| Gets the Z-anchoring option at the given index. More...
kSize | GoProfileTool_ZAnchorOptionCount (GoProfileTool tool)
| Gets the Z-anchoring option list count. More...
GoMeasurement | GoTool_FindMeasurementByType (GoTool tool, GoMeasurementType type)
| Retrieves the first found instance of a measurement for a given enumeration type. More...
GoMeasurement | GoTool_MeasurementAt (GoTool tool, kSize index)
| Retrieves the measurement at the given index. More...
kSize | GoTool_MeasurementCount (GoTool tool)
| Returns the measurement count. More...
kStatus | GoTool_Name (GoTool tool, kChar *name, kSize capacity)
| Retrieves the name of the tool. More...
kStatus | GoTool_SetName (GoTool tool, const kChar *name)
| Sets the name of the tool. More...
GoToolType | GoTool_Type (GoTool tool)
| Retrieves the tool type enumeration value of the tool. More...

## Member Function Documentation

GoProfileAreaArea GoProfileArea_AreaMeasurement | ( | GoProfileArea | tool | ) |

Returns a GoProfileArea Area measurement object.

Parameters

  tool | GoProfileArea object.

Returns
  A GoProfileAreaArea measurement.

GoProfileBaseline GoProfileArea_Baseline | ( | GoProfileArea | tool | ) |

Gets the profile area baseline.

Parameters

  tool | GoProfileArea object.

Returns
  The profile area baseline.

kBool GoProfileArea_BaselineUsed | ( | GoProfileArea | tool | ) |

Returns a boolean representing whether the profile area baseline is used.

Parameters

  tool | GoProfileArea object.

Returns
  kTRUE if the baseline is used; kFALSE otherwise.

GoProfileAreaCentroidX GoProfileArea_CentroidXMeasurement | ( | GoProfileArea | tool | ) |

Returns a GoProfileArea Centroid X measurement object.

Parameters

  tool | GoProfileArea object.

Returns
  A GoProfileAreaCentroidX measurement.

GoProfileAreaCentroidZ GoProfileArea_CentroidZMeasurement | ( | GoProfileArea | tool | ) |

Returns a GoProfileArea Centroid Z measurement object.

Parameters

  tool | GoProfileArea object.

Returns
  A GoProfileAreaCentroidZ measurement.

GoProfileLineRegion GoProfileArea_LineRegion | ( | GoProfileArea | tool | ) |

Gets the reference profile line.

Parameters

  tool | GoProfileArea object.

Returns
  The reference profile line.

GoProfileRegion GoProfileArea_Region | ( | GoProfileArea | tool | ) |

Gets the profile region.

Parameters

  tool | GoProfileArea object.

Returns
  The profile region.

kStatus GoProfileArea_SetBaseline | ( | GoProfileArea | tool,
|  | GoProfileBaseline | type
| ) |  |

Sets the profile area type.

Parameters

  tool | GoProfileArea object.
  type | The baseline type to set.

Returns
  Operation status.

kStatus GoProfileArea_SetType | ( | GoProfileArea | tool,
|  | GoProfileAreaType | type
| ) |  |

Sets the profile area type.

Parameters

  tool | GoProfileArea object.
  type | GoProfileAreaType object.

Returns
  Operation status.

GoProfileAreaType GoProfileArea_Type | ( | GoProfileArea | tool | ) |

Gets the profile area type.

Parameters

  tool | GoProfileArea object.

Returns
  The profile area type.

kBool GoProfileArea_TypeUsed | ( | GoProfileArea | tool | ) |

Gets the boolean representing whether the area type is used.

Parameters

  tool | GoProfileArea object.

Returns
  kTRUE if profile area type is used; kFALSE otherwise.

kStatus GoProfileTool_SetSource | ( | GoProfileTool | tool,
|  | GoDataSource | source
| ) |  |
| inherited

Sets the data source.

Parameters

  tool | GoProfileTool object.
  source | GoDataSource object.

Returns
  Operation status.

kStatus GoProfileTool_SetXAnchor | ( | GoProfileTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the X-anchoring source.

Parameters

  tool | GoProfileTool object.
  id | The measurement ID of a valid X-anchoring source.

Returns
  Operation status.

kStatus GoProfileTool_SetZAnchor | ( | GoProfileTool | tool,
|  | k32s | id
| ) |  |
| inherited

Sets the Z-anchoring source.

Parameters

  tool | GoProfileTool object.
  id | The measurement ID of a valid Z-anchoring source.

Returns
  Operation status.

GoDataSource GoProfileTool_Source | ( | GoProfileTool | tool | ) |
| inherited

Gets the data source.

Parameters

  tool | GoProfileTool object.

Returns
  The current profile tool data source.

GoDataSource GoProfileTool_SourceOptionAt | ( | GoProfileTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the data source option at the given index.

Parameters

  tool | GoProfileTool object.
  index | The index of the option list to access.

Returns
  The profile tool data source option at the given index, or k32U_MAX if an invalid index is given.

kSize GoProfileTool_SourceOptionCount | ( | GoProfileTool | tool | ) |
| inherited

Gets the data source option list count.

Parameters

  tool | GoProfileTool object.

Returns
  The current profile tool data source option list count.

k32s GoProfileTool_XAnchor | ( | GoProfileTool | tool | ) |
| inherited

Gets the current X-anchoring source.

Parameters

  tool | GoProfileTool object.

Returns
  The X-anchoring source or -1 if no source is currently set.

kBool GoProfileTool_XAnchorEnabled | ( | GoProfileTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid X-anchoring source has been set for X-anchoring.

Parameters

  tool | GoProfileTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoProfileTool_XAnchorOptionAt | ( | GoProfileTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the X-anchoring option at the given index.

Parameters

  tool | GoProfileTool object.
  index | The index of the option list to access.

Returns
  The X-anchoring option at the given index or k32U_MAX if invalid.

kSize GoProfileTool_XAnchorOptionCount | ( | GoProfileTool | tool | ) |
| inherited

Gets the X-anchoring option list count.

Parameters

  tool | GoProfileTool object.

Returns
  The X-anchoring option list count.

k32s GoProfileTool_ZAnchor | ( | GoProfileTool | tool | ) |
| inherited

Gets the current Z-anchoring source.

Parameters

  tool | GoProfileTool object.

Returns
  The Z-anchoring source or -1 if no source is currently set.

kBool GoProfileTool_ZAnchorEnabled | ( | GoProfileTool | tool | ) |
| inherited

Returns a boolean value representing whether or not a valid Z-anchoring source has been set for Z-anchoring.

Parameters

  tool | GoProfileTool object.

Returns
  kTRUE if a valid anchoring source is currently set and kFALSE otherwise.

k32u GoProfileTool_ZAnchorOptionAt | ( | GoProfileTool | tool,
|  | kSize | index
| ) |  |
| inherited

Gets the Z-anchoring option at the given index.

Parameters

  tool | GoProfileTool object.
  index | The index of the option list to access.

Returns
  The Z-anchoring option at the given index or k32U_MAX if invalid.

kSize GoProfileTool_ZAnchorOptionCount | ( | GoProfileTool | tool | ) |
| inherited

Gets the Z-anchoring option list count.

Parameters

  tool | GoProfileTool object.

Returns
  The X-anchoring option list count.

GoMeasurement GoTool_FindMeasurementByType | ( | GoTool | tool,
|  | GoMeasurementType | type
| ) |  |
| inherited

Retrieves the first found instance of a measurement for a given enumeration type.

Parameters

  tool | GoTool object.
  type | A GoMeasurementType representing the measurement type to find in the given tool.

Returns
  A measurement object if one is found, otherwise kNULL.

GoMeasurement GoTool_MeasurementAt | ( | GoTool | tool,
|  | kSize | index
| ) |  |
| inherited

Retrieves the measurement at the given index.

Parameters

  tool | GoTool object.
  index | The index of the measurement.

Returns
  The measurement at the given index or kNULL if an invalid index is provided.

kSize GoTool_MeasurementCount | ( | GoTool | tool | ) |
| inherited

Returns the measurement count.

Parameters

  tool | GoTool object.

Returns
  The measurement count.

kStatus GoTool_Name | ( | GoTool | tool,
|  | kChar * | name,
|  | kSize | capacity
| ) |  |
| inherited

Retrieves the name of the tool.

Parameters

  tool | GoTool object.
  name | Receives the name of the tool.
  capacity | The maximum capacity of the name array.

Returns
  Operation status.

kStatus GoTool_SetName | ( | GoTool | tool,
|  | const kChar * | name
| ) |  |
| inherited

Sets the name of the tool.

Parameters

  tool | GoTool object.
  name | The name to be set for the tool.

Returns
  Operation status.

GoToolType GoTool_Type | ( | GoTool | tool | ) |
| inherited

Retrieves the tool type enumeration value of the tool.

Parameters

  tool | GoTool object.

Returns
  The tool type enumeration value.

The documentation for this class was generated from the following file:

- Tools/GoProfileTools.h